macOS High Sierra compatibility

Audio, MIDI and other software, not including effects or instruments

macOS High Sierra compatibility

Postby G » Wed, 23 Aug 2017 4:51 pm

It's that time of year again!

This topic is for compatibility news or issues related to macOS High Sierra (10.13).

Users and developers, please update at will.
MacBook Pro 15" (2016) . Radeon Pro 460 . UA Apollo Twin DUO . macOS Sierra . Logic . FCP . Get Info
User avatar
G
Owner/Admin
 
Posts: 1862
Joined: Mon, 05 May 2003 6:11 pm
Location: SF Bay Area, California

Re: macOS High Sierra compatibility

Postby G » Wed, 23 Aug 2017 4:54 pm

Apple

https://support.apple.com/en-us/HT207888

These versions of Apple Pro Apps are compatible with macOS High Sierra:

  • Logic Pro X 10.3.1 or later
  • MainStage 3.3 or later
  • Final Cut Pro X 10.3.4 or later
  • Motion 5.3.2 or later
  • Compressor 4.3.2 or later
MacBook Pro 15" (2016) . Radeon Pro 460 . UA Apollo Twin DUO . macOS Sierra . Logic . FCP . Get Info
User avatar
G
Owner/Admin
 
Posts: 1862
Joined: Mon, 05 May 2003 6:11 pm
Location: SF Bay Area, California

Re: macOS High Sierra compatibility

Postby G » Sat, 16 Sep 2017 7:31 pm

Non-audio apps & utilities

DiskMaker X 7.0 is now compatible with macOS 10.13 High Sierra
http://diskmakerx.com

Carbon Copy Cloner — Preparing for the upgrade to macOS High Sierra
https://bombich.com/blog/2017/09/14/pre ... igh-sierra

SuperDuper v2.9.2 includes High Sierra HFS+ support (for APFS, see the the blog)
http://www.shirt-pocket.com/SuperDuper/ ... ption.html

SteerMouse 5.2 supports macOS 10.13 High Sierra
http://plentycom.jp/en/steermouse/download.php

USB Overdrive 3.3 is ready for High Sierra
http://www.usboverdrive.com/USBOverdrive/News.html

Logitech Control Center (no update, but now lists "Mac OS X 10.13.x" as compatible)
http://support.logitech.com/en_us/softw ... ntosh-os-x

BBEdit 12.0 is compatible (and out now)
http://www.barebones.com/support/new-os.html

Photoshop CC requires a plugin fix from Adobe
https://helpx.adobe.com/photoshop/kb/ph ... ierra.html

Affinity Designer and Affinity Photo
https://forum.affinity.serif.com/index. ... =relevancy
MacBook Pro 15" (2016) . Radeon Pro 460 . UA Apollo Twin DUO . macOS Sierra . Logic . FCP . Get Info
User avatar
G
Owner/Admin
 
Posts: 1862
Joined: Mon, 05 May 2003 6:11 pm
Location: SF Bay Area, California

Re: macOS High Sierra compatibility

Postby G » Sat, 16 Sep 2017 7:37 pm

Universal Audio

https://help.uaudio.com/hc/en-us/articl ... ility-Info

UAD Software is not yet qualified for use with macOS 10.13 High Sierra. Upgrading to High Sierra is not recommended until UAD software is fully qualified with the new operating system.

High Sierra compatibility is planned for a future UAD release.


Update 26 Sep 2017

https://help.uaudio.com/hc/en-us/articles/115004808426-macOS-10-13-High-Sierra-Compatibility-Info

Apple has released macOS 10.13 High Sierra, the newest operating system for Mac. To improve High Sierra security when installing system software (such as UAD drivers), the software must be explicitly allowed to load in the Security & Privacy pane within macOS System Preferences.
MacBook Pro 15" (2016) . Radeon Pro 460 . UA Apollo Twin DUO . macOS Sierra . Logic . FCP . Get Info
User avatar
G
Owner/Admin
 
Posts: 1862
Joined: Mon, 05 May 2003 6:11 pm
Location: SF Bay Area, California

Re: macOS High Sierra compatibility

Postby G » Sat, 16 Sep 2017 7:41 pm

Steinberg

https://www.steinberg.net/en/newsandeve ... -4425.html

Apple has announced its new macOS version, High Sierra, to be released on September 25. On October 17, Microsoft releases Fall Creators, their latest update to Windows 10.

From the end of October on, we shall begin testing our current line of products on both these operating systems.

Therefore, we strongly recommend to wait with the update to macOS High Sierra and Windows 10 Fall Creators until the entire compatibility chart for all Steinberg products has been published. This is especially important to customers relying on a trouble-free operation of our products.
MacBook Pro 15" (2016) . Radeon Pro 460 . UA Apollo Twin DUO . macOS Sierra . Logic . FCP . Get Info
User avatar
G
Owner/Admin
 
Posts: 1862
Joined: Mon, 05 May 2003 6:11 pm
Location: SF Bay Area, California

Re: macOS High Sierra compatibility

Postby G » Sun, 24 Sep 2017 2:28 pm

Propellerhead

via email

We are happy to report that the recently released Reason 9.5.2, Reason Essentials 9.5.2 and the upcoming Reason 10 and Reason Essentials 10 are compatible with Apple's new macOS High Sierra. Before upgrading to High Sierra, make sure you've updated to one of these versions.

The following products are compatible with High Sierra:
  • Reason 9.5.2
  • Reason 10
  • Reason Essentials 9.5.2
  • Reason Essentials 10
The following products are still being tested, so don't upgrade to macOS High Sierra if you intend to use these products until a full compatibility statement is available from Propellerhead:
  • ReCycle 2.2.4
The following products are not compatible with macOS high Sierra:
  • Reason 9.5.1 and earlier
  • Reason Essentials 9.5.1 and earlier
  • Reason Limited 1.5.3 and earlier
Due to Apple’s introduction of a completely new file system (APFS) in High Sierra, many older versions are not compatible. This means that Propellerhead products before Reason 9.5.2 will not work correctly after updating to the latest version of macOS. Using High Sierra may in some cases even damage your documents, rendering them unusable.

We strongly recommend you NOT to upgrade to High Sierra if you intend to use earlier versions of Propellerhead products on your computer.
MacBook Pro 15" (2016) . Radeon Pro 460 . UA Apollo Twin DUO . macOS Sierra . Logic . FCP . Get Info
User avatar
G
Owner/Admin
 
Posts: 1862
Joined: Mon, 05 May 2003 6:11 pm
Location: SF Bay Area, California

Re: macOS High Sierra compatibility

Postby G » Sun, 24 Sep 2017 2:44 pm

Focusrite

https://support.focusrite.com/hc/en-gb/ ... igh-Sierra

Please see below a run-down of Focusrite product compatibility with Apple macOS 10.13 High Sierra as it currently stands. Please check that all other software/hardware you use to make music is also compatible before updating and never update your operating system during the middle of a time-critical project.

If you receive an error message stating 'System Extension Blocked' after installing Focusrite software/drivers then please see this article.


Most Focusrite hardware and software is compatible with High Sierra, with some qualifications or workarounds. See the link above for more info.
MacBook Pro 15" (2016) . Radeon Pro 460 . UA Apollo Twin DUO . macOS Sierra . Logic . FCP . Get Info
User avatar
G
Owner/Admin
 
Posts: 1862
Joined: Mon, 05 May 2003 6:11 pm
Location: SF Bay Area, California

Re: macOS High Sierra compatibility

Postby G » Sun, 24 Sep 2017 2:49 pm

Novation

https://support.novationmusic.com/hc/en ... gh-Sierra-

Please see below a complete run-down of Novation product compatibility with macOS High Sierra as it currently stands. We do not recommend updating your operating system while you're in the middle of a project as it can take several weeks for any potential productivity bugs within the new operating system to be resolved. Please also check that all other software/hardware you use to make music is also compatible with macOS High Sierra before updating.


All Novation hardware and software is compatible with High Sierra, except for the UltraNova keyboard where they are investigating glitchy USB audio.
MacBook Pro 15" (2016) . Radeon Pro 460 . UA Apollo Twin DUO . macOS Sierra . Logic . FCP . Get Info
User avatar
G
Owner/Admin
 
Posts: 1862
Joined: Mon, 05 May 2003 6:11 pm
Location: SF Bay Area, California

Re: macOS High Sierra compatibility

Postby G » Mon, 25 Sep 2017 2:16 am

HoRNet Plugins

via email

...We have tested our plugins with the new macOS High Sierra and they work fine except on two DAWs. If you use Apple Logic Pro X or Apple Garage Band please do not update just yet as our plugins won't work there. Apple made some signigicant changes to the way Audio Units are handled in High Sierra and for this reason our plugins won't work in those two hosts.

If you are a macOS user and you use the VST version of our plugins, they'll keep on working as usual so you don't have to worry.

We will release updates to the plugins during the next weeks.


Update 12 Oct 2017

via email

...We have released updated versions of many of our plugins to ensure full compatibility with the new macOS High Sierra. These are the plugins that have full High Sierra compatibility:

HoRNet VUMeter MK3.
HoRNet Tape.
HoRNet SongKey MK2.
HoRNet AutoGain Pro.
HoRNet Sybilla.
HoRNet Spikes.
HoRNet ELM128.
HoRNet Chorus60.
HoRNet SW34EQ.
HoRNet HDD1.
HoRNet TrackUtility MK2.
HoRNet Sybilla Pro.
HoRNet HDS1.
HoRNet Spaces.
HoRNet DeeLay.
HoRNet ChannelStrip MK3.
HoRNet AutoGain.
HoRNet Harmonics.
HoRNet CompExp.

During the next weeks we'll update the remaining plugins. The updates are free if you own any of the above plugins and can be downloaded from the user area on http://www.hornetplugins.com
MacBook Pro 15" (2016) . Radeon Pro 460 . UA Apollo Twin DUO . macOS Sierra . Logic . FCP . Get Info
User avatar
G
Owner/Admin
 
Posts: 1862
Joined: Mon, 05 May 2003 6:11 pm
Location: SF Bay Area, California

Re: macOS High Sierra compatibility

Postby G » Mon, 25 Sep 2017 7:00 pm

menuBUS

https://www.menubus.audio

menuBUS Pro v2 is out and adds "support for OS X 10.9, and the latest macOS 10.13".
MacBook Pro 15" (2016) . Radeon Pro 460 . UA Apollo Twin DUO . macOS Sierra . Logic . FCP . Get Info
User avatar
G
Owner/Admin
 
Posts: 1862
Joined: Mon, 05 May 2003 6:11 pm
Location: SF Bay Area, California

Re: macOS High Sierra compatibility

Postby G » Mon, 25 Sep 2017 7:20 pm

Apogee

http://www.apogeedigital.com/blog/macos ... ity-apogee

There are no Apogee software updates required for macOS High Sierra or iOS 11 compatible products if upgrading from macOS Sierra (10.12) or iOS 10.


All Apogee devices are compatible with macOS High Sierra, except for three older models that no longer supported: Duet FireWire (2007), Ensemble FireWire (2006), and ONE (2009).
MacBook Pro 15" (2016) . Radeon Pro 460 . UA Apollo Twin DUO . macOS Sierra . Logic . FCP . Get Info
User avatar
G
Owner/Admin
 
Posts: 1862
Joined: Mon, 05 May 2003 6:11 pm
Location: SF Bay Area, California

Re: macOS High Sierra compatibility

Postby G » Mon, 25 Sep 2017 7:51 pm

PreSonus

https://support.presonus.com/hc/en-us/a ... -statement

Our testing with pre-release and beta versions of High Sierra (10.13) has shown the following applications and devices are working correctly:

Applications
  • Studio One 3.5.1
  • Capture 2.3.3
  • Notion 6.2
  • Progression 3
  • SL Room Control
  • Worx Control
Universal Control 2.2
  • StudioLive Series III (32, 24 and 16 Consoles)*
  • StudioLive Ai Series Consoles and Racks
  • StudioLive AR Hybrid Series Mixers
  • Studio 192 USB 3.0 Series*
  • Studio Series Interfaces
  • Quantum Thunderbolt
  • StudioLive 1602 USB
  • AudioBox Series*
  • FaderPort 8
Universal Control 1.7.4.5
  • StudioLive Classic Mixers: 2442, 1642 and 1602 (1394)*
  • FireStudio Interface Series
FaderPort

* Included in their new OS are some changes which create new issues with some PreSonus products.


There are known issues with Studio 192 / Studio 192 Mobile, AudioBox 1818VSL, and AVB - StudioLive Series III Mixers.

Our testing has shown that AVB is not functioning correctly in the 10.13 High Sierra betas, so we are unable to support using AVB to record to a Mac running High Sierra at this time. We are working with Apple to help them find a solution.

NOTE: The AVB issues in High Sierra will affect other AVB manufacturers as well. If recording via AVB to a Mac is a requirement for you, we can only recommend using 10.11 El Capitan or 10.12 Sierra.
MacBook Pro 15" (2016) . Radeon Pro 460 . UA Apollo Twin DUO . macOS Sierra . Logic . FCP . Get Info
User avatar
G
Owner/Admin
 
Posts: 1862
Joined: Mon, 05 May 2003 6:11 pm
Location: SF Bay Area, California

Re: macOS High Sierra compatibility

Postby G » Mon, 25 Sep 2017 7:54 pm

Akai Pro

http://www.akaipro.com/support/kb/artic ... o-products

We're happy to tell you that most Akai Pro products (hardware and software) are already supported on macOS High Sierra without any need for additional driver or firmware updates.


See their post for a full run-down.
MacBook Pro 15" (2016) . Radeon Pro 460 . UA Apollo Twin DUO . macOS Sierra . Logic . FCP . Get Info
User avatar
G
Owner/Admin
 
Posts: 1862
Joined: Mon, 05 May 2003 6:11 pm
Location: SF Bay Area, California

Re: macOS High Sierra compatibility

Postby G » Mon, 25 Sep 2017 8:00 pm

M-Audio

http://www.m-audio.com/kb/article/2358

We're happy to tell you that most M-Audio products are already supported on macOS High Sierra without any need for additional driver or firmware updates.


Very much like Akai, see their post for a full run-down.
MacBook Pro 15" (2016) . Radeon Pro 460 . UA Apollo Twin DUO . macOS Sierra . Logic . FCP . Get Info
User avatar
G
Owner/Admin
 
Posts: 1862
Joined: Mon, 05 May 2003 6:11 pm
Location: SF Bay Area, California

Re: macOS High Sierra compatibility

Postby G » Mon, 25 Sep 2017 8:03 pm

Arturia

https://www.arturia.com/faq/utilization ... igh-sierra

We are currently testing our product lines on the new macOS High Sierra 10.13.

However, to guarantee the best user experience as possible and a trouble-free utilisation: We highly recommend not to upgrade to macOS 10.13 until we announced that our product lines are fully compatible with it.
MacBook Pro 15" (2016) . Radeon Pro 460 . UA Apollo Twin DUO . macOS Sierra . Logic . FCP . Get Info
User avatar
G
Owner/Admin
 
Posts: 1862
Joined: Mon, 05 May 2003 6:11 pm
Location: SF Bay Area, California

Next

Return to Applications



Who is online

Users browsing this forum: No registered users and 0 guests